ru.bitel.oss.kernel.entity.common.bean.filter

## Class FilterEntityAttrPhone

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr
  - - ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttrPhone

-     public class FilterEntityAttrPhone
      extends FilterEntityAttr

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `MODE_EQ, MODE_LIKE, MODE_REGEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterEntityAttrPhone()`
    `FilterEntityAttrPhone(java.util.Set<java.lang.Integer> entitySpecAttrIds, java.lang.String value)`
    `FilterEntityAttrPhone(java.util.Set<java.lang.Integer> entitySpecAttrIds, java.lang.String value, int mode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMode()`
    `java.lang.String` | `getValue()`
    `void` | `setMode(int mode)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

      `getEntitySpecAttrIds, setEntitySpecAttrIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterEntityAttrPhone

          public FilterEntityAttrPhone()

    - #### FilterEntityAttrPhone

          public FilterEntityAttrPhone(java.util.Set<java.lang.Integer> entitySpecAttrIds,
                                       java.lang.String value)

    - #### FilterEntityAttrPhone

          public FilterEntityAttrPhone(java.util.Set<java.lang.Integer> entitySpecAttrIds,
                                       java.lang.String value,
                                       int mode)

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getMode

          public int getMode()

    - #### setMode

          public void setMode(int mode)